## networkx 2.3

=== debian/changelog ===
networkx (2.3-1~bpo10+1) UNRELEASED; urgency=medium

  * buster-backports Rebuilt for buster.

 -- Sandro Tosi <morph@debian.org>  Wed, 02 Oct 2019 06:49:39 +0000

networkx (2.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * New upstream release; Closes: #940551
  * Rename source package, tracking py3k-only releases
  * debian/copyright
    - extend packaging copyright years
    - updated copyright to new upstream code
  * Only build py3k packages
  * debian/rules
    - it's a pure-python module, so use purelib to get the build location; this
      fixes doc building
    - use the built module to run tests, and set the right switch for verbosity
    - dont parse debian/changelog + remove other outdated variables
    - install the right doc files + remove broken pdf symlinks; Closes: #924210
  * debian/control
    - have scricted versioned deps on numpy and matplotlib
    - bump Standards-Version to 4.4.0 (no changes needed)
    - add matplotlib, pydot, pygrpahviz to Recommends; Closes: #932682
    - replace b-d on texlive-generic-extra with texlive-plain-generic;
      Addresses: #933581
  * Use objects.inv from python3/numpy -doc packages
  * debian/README.Debian
    - remove, outdated

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Sep 2019 00:48:34 -0400

python-networkx (2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Gianfranco Costamagna ]
  * debian/control
    - Move python*-pkg-resources to real dependencies, needed to run the
      python-cov testsuite (drawing/nx_pydot.py subpackage); Closes: #902540

  [ Sandro Tosi ]
  * New upstream release
  * debian/patch
    - refresh, remove patch merged upstream
  * debian/control
    - b-d on decorator >= 4.3.0
    - bump Standards-Version to 4.2.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Nov 2018 17:21:28 -0500

python-networkx (2.1-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release; Closes: #888458
    - references to lib2to3 have been removed upstream; Closes: #893697
  * debian/control
    - revert useless changes performed without any kind of coordination,
      preserving only the bump to Standard-Version: 3.9.8, which was not
      metioned in the changelog (and not formally released)
    - add gdal to b-d and d
    - add latexmk to b-d, needed to build doc and fix a FTBFS with sphinx 1.6;
      Closes: #872241
    - bump Standards-Version to 4.1.4 (no changes needed)
    - add ipykernel, nb2plots, nbformat, nbconvert, sphinx-gallery, traitlets
      to b-d-i, needed to build doc
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * refresh patches
  * debian/patches/0003-README.txt-to-examples-needed-by-sphinx-while-buildi.patch
    - add the missing README.txt to the examples directory
  * debian/rules
    - delete files removals line no longer needed
    - update location for upstream changelog
  * debian/patches/0004-add-copybutton.js.patch
    - add required copybutton.js file
  * debian/python.org_objects.inv,debian/scipy.org_numpy_objects.inv
    - update intersphinx doc
  * debian/patches/0005-use-debian-mathjax.js.patch
    - use MathJax.js as provided by libjs-mathjax in Debian
  * debian/python-networkx-doc.doc-base
    - update doc-base to refer to index.html as doc entry point
  * debian/patches/0006-skip-plot_football-from-sphinx-gallery-requires-netw.patch
    - plot_football.py requires network access, so skip it

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jun 2018 18:18:28 -0400

python-networkx (1.11-2) UNRELEASED; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Andreas Tille ]
  * pngmath conflicts with some other shinx tool - drop it
    Closes: #832855
  * Add missing Build-Depends
  * debhelper 9
  * cme fix dpkg-control
  * fix another shebang

 -- Andreas Tille <tille@debian.org>  Sat, 06 Aug 2016 17:50:20 +0200

python-networkx (1.11-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Jan 2016 11:16:00 +0000

python-networkx (1.11~rc2-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/copyright
    - update packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Jan 2016 19:52:06 +0000

python-networkx (1.11~rc1-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Removed the exclude and add python-pydot as build-depends-indep.
  * Added python3-matplotlib, python3-numpy, python3-pygraphviz as
    build-depends-indep as well.

  [ Sandro Tosi ]
  * New upstream release candidate; Closes: #801880
  * debian/control
    - suggest the -doc pkg in the module pkgs; Closes: #807126
  * debian/copyright
    - extend packaging copyright years
    - drop BSD-style, not used
    - move the general copyright notice on top, helps with lintian
  * debian/README.source
    - removed, outdated
  * debian/*.inv
    - update intersphinx mapping files
  * debian/rules
    - dont fail if there are errors in the tests

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jan 2016 02:26:44 +0000

python-networkx (1.10-1) experimental; urgency=medium

  [ Sandro Tosi ]
  * New upstream release (Closes: #800431).

  [ Thomas Goirand ]
  * Move to Build-Depends: what was in Build-Depends-Indep: but which is needed
    for the clean target.
  * Dropped version of packages for those already provided in Jessie.
  * Removed now useless python-3.4.patch patch from Chuck Short.
  * Removed do-not-use-sphinx_rtd_theme.patch patch. Build-Depends on the
    python-sphinx-rtd-theme package instead.
  * Exclude tests which are doing internet access and failing.
  * Do not rename non-existing README file.


