=== debian/control ===
Source: networkx
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper-compat (= 9),
               dh-python,
	       latexmk,
               python3-sphinx,
               python3-all,
               python3-doc,
               python3-setuptools,
Build-Depends-Indep: dvipng,
                     python3-ipykernel,
                     python3-decorator (>= 4.3.0),
                     python3-nb2plots,
                     python3-nbformat,
                     python3-nbconvert,
                     python3-numpydoc,
                     python3-sphinx-rtd-theme,
                     python3-sphinx-gallery,
                     python3-traitlets,
                     python3-gdal,
                     python3-matplotlib (>= 3.0.2),
                     python3-nose,
                     python3-numpy (>= 1.15.4),
                     python-numpy-doc,
                     python3-scipy,
                     python3-pygraphviz,
                     python3-pydot,
                     texlive-binaries,
                     texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     texlive-plain-generic,
                     zip,
Standards-Version: 4.4.0
Homepage: http://networkx.github.io/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-networkx.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-networkx

Package: python3-networkx
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pkg-resources,
Recommends: python3-gdal,
            python3-matplotlib,
            python3-numpy (>= 1.15.4),
            python3-pydot,
            python3-pygraphviz,
            python3-scipy,
            python3-yaml,
Suggests: python-networkx-doc
Description: tool to create, manipulate and study complex networks (Python3)
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains the Python 3 version of NetworkX.

Package: python-networkx-doc
Section: doc
Architecture: all
Depends: libjs-mathjax,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Description: tool to create, manipulate and study complex networks - documentation
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains documentation for NetworkX.
