## networkx 2.4

=== debian/changelog ===
networkx (2.4-4ubuntu2) jammy; urgency=medium

  * d/control: Depend on nb2plots>=0.6-2ubuntu1 which includes a py310 fix.
  * d/p/fix-Sphinx-deprecation.patch,
    d/p/use-xetex-for-uft8-latex-backend-4326.patch: Cherry-picked from
    upstream to fix sphinx failures.
  * d/control: Add fonts-freefont-otf, texlive-xetex, and xindy BDs.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Mar 2022 09:58:34 -0400

networkx (2.4-4ubuntu1) groovy; urgency=medium

  * d/control: Lower Recommends to Suggests for some universe packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Aug 2020 16:41:00 -0400

networkx (2.4-4) unstable; urgency=medium

  * debian/control
    - adjust Breaks items as suggested by Adrian Bunk; Closes: #947852
    - wrap-and-sort
    - bump Standards-Version to 4.5.0 (no changes needed)
    - bump compat to 12
  * debian/patches/*
    - refresh patches
  * debian/patches/docs-remove-expected_failing_examples.patch
    - remove the sphinx_gallery expected_failing_examples directive, since
      plot_parallel_betweenness.py works just fine; Closes: #963415

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Jul 2020 23:10:54 -0400

networkx (2.4-3) unstable; urgency=medium

  * debian/control
    - add Breaks on current buster versions of androguard and hyperkitty, as
      they require updates for the new networkx; Closes: #947852

 -- Sandro Tosi <morph@debian.org>  Tue, 31 Dec 2019 19:19:41 -0500

networkx (2.4-2) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Nov 2019 16:54:24 -0500

networkx (2.4-1) experimental; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/rules
    - install examples
    - dont operate on networkx/tests/test.py, no longer present
  * debian/copyright
    - update copyright file; Closes: #941474
  * Use pytest instead of nose

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Fix wrong Vcs-*.

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Nov 2019 23:55:38 -0500
