=== debian/control ===
--- 
+++ 
@@ -1,33 +1,37 @@
 Source: networkx
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper-compat (= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-	       latexmk,
-               python3-sphinx,
+               fonts-freefont-otf,
+               latexmk,
                python3-all,
                python3-doc,
                python3-setuptools,
+               python3-sphinx,
+               texlive-xetex,
+               xindy,
 Build-Depends-Indep: dvipng,
+                     python-numpy-doc,
+                     python3-decorator (>= 4.3.0),
+                     python3-gdal,
                      python3-ipykernel,
-                     python3-decorator (>= 4.3.0),
-                     python3-nb2plots,
+                     python3-matplotlib (>= 3.0.2),
+                     python3-nb2plots (>= 0.6-2ubuntu1~),
+                     python3-nbconvert,
                      python3-nbformat,
-                     python3-nbconvert,
+                     python3-numpy (>= 1.15.4),
                      python3-numpydoc,
+                     python3-pydot,
+                     python3-pygraphviz,
+                     python3-pytest,
+                     python3-scipy,
+                     python3-sphinx-gallery,
                      python3-sphinx-rtd-theme,
-                     python3-sphinx-gallery,
                      python3-traitlets,
-                     python3-gdal,
-                     python3-matplotlib (>= 3.0.2),
-                     python3-nose,
-                     python3-numpy (>= 1.15.4),
-                     python-numpy-doc,
-                     python3-scipy,
-                     python3-pygraphviz,
-                     python3-pydot,
                      texlive-binaries,
                      texlive-fonts-recommended,
                      texlive-latex-base,
@@ -35,24 +39,27 @@
                      texlive-latex-recommended,
                      texlive-plain-generic,
                      zip,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://networkx.github.io/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-networkx.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-networkx
+Vcs-Git: https://salsa.debian.org/python-team/modules/networkx.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/networkx
 
 Package: python3-networkx
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python3-pkg-resources,
+         ${misc:Depends},
          ${python3:Depends},
-         python3-pkg-resources,
-Recommends: python3-gdal,
-            python3-matplotlib,
-            python3-numpy (>= 1.15.4),
-            python3-pydot,
-            python3-pygraphviz,
-            python3-scipy,
+Recommends: python3-numpy (>= 1.15.4),
             python3-yaml,
-Suggests: python-networkx-doc
+Suggests: python-networkx-doc,
+          python3-gdal,
+          python3-matplotlib,
+          python3-pydot,
+          python3-pygraphviz,
+          python3-scipy
+Breaks: androguard (<< 3.3.5-2~),
+        python3-django-hyperkitty (<< 1.3.0-1.1~),
+        python3-skimage (<< 0.16.2-1~),
 Description: tool to create, manipulate and study complex networks (Python3)
  NetworkX is a Python-based package for the creation, manipulation, and
  study of the structure, dynamics, and functions of complex networks.
