=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	# running tests Python 3
 	-for py in $(PYTHON3) ; do\
 		cd build ; \
-		PYTHONPATH=../$(LIB3) $$py -m nose --verbosity=2 ; \
+		PYTHONPATH=../$(LIB3) $$py -m pytest --verbosity=2; \
 		cd .. ; \
 	done
 endif
@@ -35,11 +35,7 @@
 	python3 setup.py install --no-compile --root=$(CURDIR)/debian/python3-networkx \
 		--single-version-externally-managed --install-layout=deb
 
-	# Fix executable bits:
-	chmod +x debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py
-
 	# fix test shebang
-	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py
 	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/generators/tests/test_random_graphs.py
 
 	# remove duplicate examples
@@ -68,6 +64,9 @@
 	dh_sphinxdoc
 endif
 
+override_dh_installexamples:
+	dh_installexamples -ppython-networkx-doc examples/*
+
 override_dh_compress:
 	dh_compress -Xexamples/ -X.js -X.pdf -Xobjects.inv
