## networkx 2.5+ds

=== debian/changelog ===
networkx (2.5+ds-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Undo changes made in -1 that were not OK
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
  * debian/patches/2bfdee687d0db533555384f92ce3670d47c45aec.patch
    - fix a failure in botch tests; Closes: #969756
  
  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Sandro Tosi <morph@debian.org>  Mon, 28 Sep 2020 23:31:14 -0400

networkx (2.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rules-Requires-Root: no
  * debhelper-compat 13 (routine-update)
  * Override of dh_missing which gets confused over installation of
    /usr/lib/python3.8 to /usr/lib/python3
    which I feel should be fixed.
  * Remove files from archive that are changed during build

 -- Steffen Moeller <moeller@debian.org>  Thu, 27 Aug 2020 14:06:33 +0200
