=== debian/control ===
--- 
+++ 
@@ -1,29 +1,25 @@
 Source: networkx
+Maintainer: Sandro Tosi <morph@debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               fonts-freefont-otf,
                latexmk,
                python3-all,
                python3-doc,
                python3-setuptools,
                python3-sphinx,
-               texlive-xetex,
-               xindy,
 Build-Depends-Indep: dvipng,
                      python-numpy-doc,
                      python3-decorator (>= 4.3.0),
                      python3-gdal,
                      python3-ipykernel,
                      python3-matplotlib (>= 3.0.2),
-                     python3-nb2plots (>= 0.6-2ubuntu1~),
+                     python3-nb2plots,
                      python3-nbconvert,
                      python3-nbformat,
-                     python3-numpy (>= 1.15.4),
+                     python3-numpy,
                      python3-numpydoc,
                      python3-pydot,
                      python3-pygraphviz,
@@ -40,23 +36,24 @@
                      texlive-plain-generic,
                      zip,
 Standards-Version: 4.5.0
-Homepage: http://networkx.github.io/
-Vcs-Git: https://salsa.debian.org/python-team/modules/networkx.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/networkx
+Vcs-Browser: https://salsa.debian.org/python-team/packages/networkx
+Vcs-Git: https://salsa.debian.org/python-team/packages/networkx.git
+Homepage: https://networkx.github.io/
+Rules-Requires-Root: no
 
 Package: python3-networkx
 Architecture: all
 Depends: python3-pkg-resources,
          ${misc:Depends},
          ${python3:Depends},
-Recommends: python3-numpy (>= 1.15.4),
+Recommends: python3-gdal,
+            python3-matplotlib,
+            python3-numpy,
+            python3-pydot,
+            python3-pygraphviz,
+            python3-scipy,
             python3-yaml,
 Suggests: python-networkx-doc,
-          python3-gdal,
-          python3-matplotlib,
-          python3-pydot,
-          python3-pygraphviz,
-          python3-scipy
 Breaks: androguard (<< 3.3.5-2~),
         python3-django-hyperkitty (<< 1.3.0-1.1~),
         python3-skimage (<< 0.16.2-1~),
@@ -76,8 +73,8 @@
  This package contains the Python 3 version of NetworkX.
 
 Package: python-networkx-doc
+Architecture: all
 Section: doc
-Architecture: all
 Depends: libjs-mathjax,
          ${misc:Depends},
          ${sphinxdoc:Depends},
