=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,11 @@
 
 	# Make sure that there's no .pyc left
 	find . -name '*.pyc' -exec rm {} ';'
+
+	rm -f doc/file.dot doc/fontlist-v330.json doc/path.png doc/path.to.file
+	rm -f examples/advanced/edgelist.utf-8 examples/basic/grid.edgelist examples/pygraphviz/grid.dot examples/pygraphviz/k5.dot examples/pygraphviz/k5.ps examples/pygraphviz/k5_attributes.dot
+	rm -rf .pytest_cache
+
 
 override_dh_auto_test:
 ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
@@ -72,3 +77,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs doc/news.rst
+
+override_dh_missing:
+	echo "I: Skipping dh_missing"
