## networkx 2.8.8

=== debian/changelog ===
networkx (2.8.8-1ubuntu1) lunar; urgency=low

  * Merge from Debian unstable (LP: #2002660).  Remaining changes:
    - d/control: Lower Recommends to Suggests for some universe packages.
  * Dropped changes, superseded upstream:
    - d/control: Depend on nb2plots>=0.6-2ubuntu1 which includes a py310 fix.
    - d/p/fix-Sphinx-deprecation.patch,
      d/p/use-xetex-for-uft8-latex-backend-4326.patch: Cherry-picked from
      upstream to fix sphinx failures.
    - d/control: Add fonts-freefont-otf, texlive-xetex, and xindy BDs.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Jan 2023 23:50:54 -0800

networkx (2.8.8-1) unstable; urgency=medium

  * New upstream release; Closes: #1025052
  * stop building the -doc package (including dropping all patches)
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/control
    - bump Standards-Version to 4.6.2.0 (no changes needed)
  * debian/rules
    - run tests using pybuild

 -- Sandro Tosi <morph@debian.org>  Sat, 24 Dec 2022 03:11:11 -0500

networkx (2.6.3-1) unstable; urgency=medium

  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/watch
    - track github releases
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
  * debian/patches/*
    - refresh/update patches
  * debian/control
    - merge b-d and b-d-i
    - add pydata-sphinx-theme to b-d, needed to build doc
    - tighten up b-d on modules needed to build doc
    - add geopandas, igraph, osmnx, seaborn, texlive-xetex, xindy,
      fonts-freefont-otf to b-d, needed by doc
  * debian/patches/docs-ignore-examples-missing-modules.patch
    - ignore some examples which needs modules not in debian
  * debian/rules
    - dont install news.rst as changelog, removed upstream

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jun 2022 00:26:38 -0400
