=== debian/control ===
Source: networkx
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               latexmk,
               python3-all,
               python3-decorator (>= 4.3.0),
               python3-gdal,
               python3-ipykernel,
               python3-matplotlib (>= 3.0.2),
               python3-nbconvert,
               python3-nbformat,
               python3-numpy,
               python3-pydot,
               python3-pygraphviz,
               python3-pytest,
               python3-scipy,
               python3-setuptools,
               python3-traitlets,
               texlive-binaries,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-plain-generic,
               zip,
Standards-Version: 4.6.2.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/networkx
Vcs-Git: https://salsa.debian.org/python-team/packages/networkx.git
Homepage: https://networkx.github.io/
Rules-Requires-Root: no

Package: python3-networkx
Architecture: all
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
Recommends: python3-numpy,
            python3-yaml,
Suggests: python-networkx-doc,
          python3-gdal,
          python3-matplotlib,
          python3-pydot,
          python3-pygraphviz,
          python3-scipy
Breaks: androguard (<< 3.3.5-2~),
        python3-django-hyperkitty (<< 1.3.0-1.1~),
        python3-skimage (<< 0.16.2-1~),
Description: tool to create, manipulate and study complex networks (Python3)
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains the Python 3 version of NetworkX.
