=== debian/control ===
Source: networkx
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 latexmk,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-contextily <!nodoc>,
 python3-decorator (>= 4.3.0),
 python3-gdal,
 python3-geopandas <!nodoc>,
 python3-igraph <!nodoc>,
 python3-ipykernel,
 python3-libpysal (>= 4.10) <!nodoc>,
 python3-matplotlib (>= 3.0.2),
 python3-momepy <!nodoc>,
 python3-nb2plots <!nodoc>,
 python3-nbconvert,
 python3-nbformat,
 python3-numpy <!nodoc>,
 python3-numpydoc <!nodoc>,
 python3-osmnx <!nodoc>,
 python3-pandas <!nodoc>,
 python3-pydata-sphinx-theme <!nodoc>,
 python3-pydot (>= 2.0),
 python3-pygraphviz (>= 1.12),
 python3-pytest,
 python3-scipy,
 python3-seaborn <!nodoc>,
 python3-setuptools,
 python3-sphinx <!nodoc>,
 python3-sphinx-gallery <!nodoc>,
 python3-traitlets,
 texlive-binaries,
 texlive-fonts-recommended,
 texlive-latex-base,
 texlive-latex-extra,
 texlive-latex-recommended,
 texlive-plain-generic,
 zip,
Standards-Version: 4.6.2.0
Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/networkx
Vcs-Git: https://salsa.debian.org/openstack-team/third-party/networkx.git
Homepage: https://networkx.github.io/
Rules-Requires-Root: no

Package: python3-networkx
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-gdal,
 python3-matplotlib,
 python3-numpy,
 python3-pydot,
 python3-pygraphviz,
 python3-scipy,
 python3-yaml,
Description: tool to create, manipulate and study complex networks (Python3)
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains the Python 3 version of NetworkX.
