=== debian/watch ===
version=4
opts="pgpmode=none, dversionmangle=s/.dfsg\d//, uversionmangle=s/(rc|a|b|c)/~$1/, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/networkx/networkx/tags .*/networkx-?@ANY_VERSION@@ARCHIVE_EXT@
