## networkx 3.4.2

=== debian/changelog ===
networkx (3.4.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:14:51 +0200

networkx (3.4.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased remove-network-accessing-examples.patch.
  * Rebased fix-postinst-warning.patch.
  * Add no-intersphinx.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Aug 2025 15:43:19 +0200
