=== debian/control ===
--- 
+++ 
@@ -12,26 +12,27 @@
  pybuild-plugin-pyproject,
  python3-all,
  python3-contextily <!nodoc>,
- python3-decorator (>= 4.3.0),
+ python3-decorator,
  python3-gdal,
  python3-geopandas <!nodoc>,
  python3-igraph <!nodoc>,
  python3-ipykernel,
- python3-libpysal (>= 4.10) <!nodoc>,
- python3-matplotlib (>= 3.0.2),
+ python3-libpysal <!nodoc>,
+ python3-matplotlib,
  python3-momepy <!nodoc>,
  python3-nb2plots <!nodoc>,
- python3-nbconvert,
  python3-nbformat,
  python3-numpy <!nodoc>,
  python3-numpydoc <!nodoc>,
+ python3-myst-nb <!nodoc>,
  python3-osmnx <!nodoc>,
  python3-pandas <!nodoc>,
  python3-pydata-sphinx-theme <!nodoc>,
- python3-pydot (>= 2.0),
- python3-pygraphviz (>= 1.12),
+ python3-pydot,
+ python3-pygraphviz,
  python3-pytest,
  python3-scipy,
+ python3-sklearn,
  python3-seaborn <!nodoc>,
  python3-setuptools,
  python3-sphinx <!nodoc>,
